Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.table
Class RtfTable

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.table.RtfTable

All Implemented Interfaces:
  RtfBasicElement, RtfElementInterface

    public class RtfTable

extends RtfElement

The RtfTable wraps a Table. INTERNAL USE ONLY

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Steffen Stundzig, Benoit Wiart, Thomas Bickel (tmb99@inode.at)

Field Summary
`private int` | `alignment` The alignment of this RtfTable
`private RtfBorderGroup` | `borders` The border style of this RtfTable
`private float` | `cellPadding` The cell padding
`private boolean` | `cellsFitToPage` Whether the cells in this RtfTable must fit in a page
`private float` | `cellSpacing` The cell spacing
`private int` | `headerRows` The number of header rows in this RtfTable
`private int` | `offset` The offset from the previous text
`private float[]` | `proportionalWidths` An array with the proportional widths of the cells in each row
`private ArrayList` | `rows` The rows of this RtfTable
`private boolean` | `tableFitToPage` Whether the whole RtfTable must fit in a page
`private float` | `tableWidthPercent` The percentage of the page width that this RtfTable covers

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfTable(RtfDocument doc, PdfPTable table)` Constructs a RtfTable based on a PdfTable for a RtfDocument.
`RtfTable(RtfDocument doc, Table table)` Constructs a RtfTable based on a Table for a RtfDocument.

Method Summary
`protected int` | `getAlignment()` Gets the alignment of this RtfTable
`protected RtfBorderGroup` | `getBorders()` Gets the borders of this RtfTable
`protected float` | `getCellPadding()` Gets the cell padding of this RtfTable
`protected boolean` | `getCellsFitToPage()` Gets the cellsFitToPage setting of this RtfTable.
`protected float` | `getCellSpacing()` Gets the cell spacing of this RtfTable
`protected int` | `getHeaderRows()` Gets the number of header rows of this RtfTable
`protected float[]` | `getProportionalWidths()` Gets the proportional cell widths of this RtfTable
`protected ArrayList` | `getRows()` Gets the rows of this RtfTable
`protected boolean` | `getTableFitToPage()` Gets the tableFitToPage setting of this RtfTable.
`protected float` | `getTableWidthPercent()` Gets the percentage of the page width this RtfTable covers
`private void` | `importTable(PdfPTable table)` Imports the rows and settings from the Table into this RtfTable.
`private void` | `importTable(Table table)` Imports the rows and settings from the Table into this RtfTable.
`void` | `writeContent(OutputStream result)` Writes the content of this RtfTable

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rows

    private ArrayList rows

  The rows of this RtfTable

### tableWidthPercent

    private float tableWidthPercent

  The percentage of the page width that this RtfTable covers

### proportionalWidths

    private float[] proportionalWidths

  An array with the proportional widths of the cells in each row

### cellPadding

    private float cellPadding

  The cell padding

### cellSpacing

    private float cellSpacing

  The cell spacing

### borders

    private RtfBorderGroup borders

  The border style of this RtfTable

### alignment

    private int alignment

  The alignment of this RtfTable

### cellsFitToPage

    private boolean cellsFitToPage

  Whether the cells in this RtfTable must fit in a page

### tableFitToPage

    private boolean tableFitToPage

  Whether the whole RtfTable must fit in a page

### headerRows

    private int headerRows

  The number of header rows in this RtfTable

### offset

    private int offset

  The offset from the previous text

Constructor Detail

### RtfTable

    public RtfTable(RtfDocument doc,
                    Table table)

  Constructs a RtfTable based on a Table for a RtfDocument.

  Parameters:
    `doc` - The RtfDocument this RtfTable belongs to
    `table` - The Table that this RtfTable wraps

### RtfTable

    public RtfTable(RtfDocument doc,
                    PdfPTable table)

  Constructs a RtfTable based on a PdfTable for a RtfDocument.

  Parameters:
    `doc` - The RtfDocument this RtfTable belongs to
    `table` - The PdfPTable that this RtfTable wraps
  Since:
    2.1.3

Method Detail

### importTable

    private void importTable(Table table)

  Imports the rows and settings from the Table into this RtfTable.

  Parameters:
    `table` - The source Table

### importTable

    private void importTable(PdfPTable table)

  Imports the rows and settings from the Table into this RtfTable.

  Parameters:
    `table` - The source PdfPTable
  Since:
    2.1.3

### writeContent

    public void writeContent(OutputStream result)
                      throws IOException

  Writes the content of this RtfTable

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Specified by:
    `writeContent` in class `RtfElement`
  Parameters:
    `result` - The `OutputStream` to write the content to
  Throws:
    `IOException`

### getAlignment

    protected int getAlignment()

  Gets the alignment of this RtfTable

  Returns:
    The alignment of this RtfTable.

### getBorders

    protected RtfBorderGroup getBorders()

  Gets the borders of this RtfTable

  Returns:
    The borders of this RtfTable.

### getCellPadding

    protected float getCellPadding()

  Gets the cell padding of this RtfTable

  Returns:
    The cell padding of this RtfTable.

### getCellSpacing

    protected float getCellSpacing()

  Gets the cell spacing of this RtfTable

  Returns:
    The cell spacing of this RtfTable.

### getProportionalWidths

    protected float[] getProportionalWidths()

  Gets the proportional cell widths of this RtfTable

  Returns:
    The proportional widths of this RtfTable.

### getTableWidthPercent

    protected float getTableWidthPercent()

  Gets the percentage of the page width this RtfTable covers

  Returns:
    The percentage of the page width.

### getRows

    protected ArrayList getRows()

  Gets the rows of this RtfTable

  Returns:
    The rows of this RtfTable

### getCellsFitToPage

    protected boolean getCellsFitToPage()

  Gets the cellsFitToPage setting of this RtfTable.

  Returns:
    The cellsFitToPage setting of this RtfTable.

### getTableFitToPage

    protected boolean getTableFitToPage()

  Gets the tableFitToPage setting of this RtfTable.

  Returns:
    The tableFitToPage setting of this RtfTable.

### getHeaderRows

    protected int getHeaderRows()

  Gets the number of header rows of this RtfTable

  Returns:
    The number of header rows

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD